%% RunChoiceModEst Script
% Matlab script to estimate logit models for single individuals using a 
% conjugate prior modified maximum likelihood method
% Written by Bart Frischknecht, first version 29 March 2013, 
% Edits:
%
%%%%%%%%%%%%%%%%%%%%%%%

%% MODEL NOTATION
% 
%
%
%%%%%%%%%%%%%%%%%%%%%%%

%% INPUTS
%Variable               Dimension                       Units               Description
% OutputFileNamePrefix  string                          -                   The prefix of the data file containing the parameter estimates 
%                                                                           and other results
% MyRunSettingsFile     handle                          -                   Name of the settings file that specifies the estimation details
% MySetupFile           handle                          -                   Name of the setup file that specifies the data and model details
% Runs                  1 x R vector                    -                   The vector of indices corresponding to the estimation runs to 
%                                                                           be executed, where estimation runs are specified in MyRunSettingsFile
%%%%%%%%%%%%%%%%%%%%%%%

%% OUTPUTS
% alpha_rec             Runs x 1 vector                 -                   A vector that reports recommended prior weight for each simulation run
% RPS_rec               Runs x 1 matrix                 -                   The root predictive score at the recommended prior weight for each simulation run
% RPS_bar               Runs x 1 cell                   -                   The average root predictive score from V subsamples for each of Q prior weights tested
%                                                                           for each simulation run, so the entry in each cell is a 1 x Q vector
% RPS_bar_std           Runs x Q cell                   -                   Estimated standard deviation for the root predictive score from V subsamples for each 
%                                                                           of Q prior weights tested for each simulation run, so the entry in each cell is a 1 x Q vector
% ModelParams_rec       Runs x 1 cell                   -                   Cell containing the K x N matrix of N individual vectors of K model parameters 
%                                                                           for each simulation run
%%%%%%%%%%%%%%%%%%%%%%%

OutputFileNamePrefix='CarInsurance';
MyRunSettingsFile=@RunSettings_CarInsurance;
MySetupFile=@Setup_CarInsurance;

Runs=1;
%Runs=[1 2 3 ];
%Runs=[1 2];
%Runs=3;
[alpha_rec, RPS_rec, RPS_bar, RPS_bar_std, ModelParams_rec]=MMLEst_SingInd(MyRunSettingsFile,MySetupFile,Runs,OutputFileNamePrefix);